<?php
session_start();
$usuario = $_SESSION['rut'];
include '../../conexion/conn.php';
$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 500;
	$offset = ($page-1)*$rows;
	$result = array();
	  
	/*if(isset($_POST['usuario_rut_filtro'])){$usuario_rut_filtro = $_POST['usuario_rut_filtro'];}else{$usuario_rut_filtro = "";}  
	if(isset($_POST['usuario_nombre_filtro'])){$usuario_nombre_filtro = $_POST['usuario_nombre_filtro'];}else{$usuario_nombre_filtro = "";}  
	if(isset($_POST['usuario_tipo_filtro'])){$usuario_tipo_filtro = $_POST['usuario_tipo_filtro'];}else{$usuario_tipo_filtro = "";}  
    if(isset($_POST['usuario_estado_filtro'])){$usuario_estado_filtro = $_POST['usuario_estado_filtro'];}else{$usuario_estado_filtro = "";}  
	if(isset($_POST['perfilFiltro'])){$perfilFiltro = $_POST['perfilFiltro'];}else{$perfilFiltro = "";}  
	*/
	
	
	
	
	/*$strFiltroEstado="";
	$strFiltroTipo="";
	$strFiltroPerfil="";
	if ($usuario_estado_filtro!=''){$strFiltroEstado="and usuario.usuario_estado = '$usuario_estado_filtro'";}
	if ($usuario_tipo_filtro!=''){$strFiltroTipo="and usuario.usuario_tipo = '$usuario_tipo_filtro'";}
	if ($perfilFiltro!=''){$strFiltroPerfil="and tipousuario.tipousuario_nombre = '$perfilFiltro'";}
	
	$where = "usuario.usuario_rut like '%$usuario_rut_filtro%' and usuario.usuario_nombre like '%$usuario_nombre_filtro%' ".$strFiltroEstado." ".$strFiltroPerfil." ".$strFiltroTipo;  */
	
	
		$rs = mysql_query("SELECT COUNT(*) FROM exportadores, cliente WHERE exportadores.cliente_cod=cliente.cliente_cod");
		$row = mysql_fetch_row($rs);
		$result["total"] = $row[0];
	
		$rs = mysql_query("SELECT exportadores.exportador_cod, exportadores.exportador_rut, exportadores.cliente_cod, cliente.cliente_nombre, exportadores.exportador_nombre, exportadores.exportador_direccion, exportadores.exportador_ciudad, exportadores.exportador_giro, exportadores.exportador_telefono, exportadores.exportador_contacto, exportadores.exportador_mail, exportadores.exportador_representante, exportadores.exportador_estado  FROM exportadores INNER JOIN cliente ON exportadores.cliente_cod=cliente.cliente_cod ORDER BY exportadores.exportador_nombre ASC LIMIT $offset,$rows");
	
	
	$items = array();
	while($row = mysql_fetch_array($rs)){
		$arrusu = array('exportador_cod'=>$row['exportador_cod'], 'exportador_rut'=>$row['exportador_rut'], 'cliente_cod'=>$row['cliente_cod'], 'cliente_nombre'=>$row['cliente_nombre'], 'exportador_nombre'=>$row['exportador_nombre'], 'exportador_direccion'=>$row['exportador_direccion'], 'exportador_ciudad'=>$row['exportador_ciudad'], 'exportador_giro'=>$row['exportador_giro'], 'exportador_telefono'=>$row['exportador_telefono'], 'exportador_contacto'=>$row['exportador_contacto'], 'exportador_mail'=>$row['exportador_mail'], 'exportador_representante'=>$row['exportador_representante'], 'exportador_estado'=>$row['exportador_estado']);
				array_push($items,$arrusu);
	}
	$result["rows"] = $items;
	mysql_close();
	echo json_encode($result);

?>